summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-03-22 22:11:03 +0100
committerJim Meyering <jim@meyering.net>2007-03-22 22:11:03 +0100
commit25cdc8248d0a22bacaf9332e30e200966217b949 (patch)
tree6cb1904f7d6e792dbdbdb0931db7b6fd3698b1cd
parent826ff082dbe051d3a7a35e36afb110c64b4132e6 (diff)
downloadcoreutils-25cdc8248d0a22bacaf9332e30e200966217b949.tar.xz
* tests/mv/hard-3: Correct the preceding change: $3 -> $2.
-rw-r--r--ChangeLog4
-rwxr-xr-xtests/mv/hard-36
2 files changed, 7 insertions, 3 deletions
diff --git a/ChangeLog b/ChangeLog
index 10e34552b..1648c1676 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+2007-03-22 Jim Meyering <jim@meyering.net>
+
+ * tests/mv/hard-3: Correct the preceding change: $3 -> $2.
+
2007-03-22 Paul Eggert <eggert@cs.ucla.edu>
Improve a test script.
diff --git a/tests/mv/hard-3 b/tests/mv/hard-3
index b912da34f..ce8372840 100755
--- a/tests/mv/hard-3
+++ b/tests/mv/hard-3
@@ -78,12 +78,12 @@ test -f x/b || fail=1
test -f c || fail=1
# The i-node numbers of a and c must be the same.
-ia=`ls -i a` || fail=1; set x $ia; ia=$3
-ic=`ls -i c` || fail=1; set x $ic; ic=$3
+ia=`ls -i a` || fail=1; set x $ia; ia=$2
+ic=`ls -i c` || fail=1; set x $ic; ic=$2
test "$ia" = "$ic" || fail=1
# The i-node number of x/b must be different.
-ib=`ls -i x/b` || fail=1; set x $ib; ib=$3
+ib=`ls -i x/b` || fail=1; set x $ib; ib=$2
test "$ia" = "$ib" && fail=1
(exit $fail); exit $fail